// Event

enum Button { BT_TRIANGLE, BT_CIRCLE, BT_CROSS, BT_SQUARE, BT_LTRIGGER,
	BT_RTRIGGER, BT_DOWN, BT_LEFT, BT_UP, BT_RIGHT, BT_SELECT, BT_START,
	BT_HOME, BT_HOLD };
int handleKey(int key,int up);
int handleJoy(int button,int up);
int handleAnalog(int axis,int value);
struct Map *nearbyPlayer(int i,enum TileType type,int *x,int *y);
struct Character *nearbyPlayerNPC();
